Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class CacheMap<X,Y>

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<X,Y>
              edu.stanford.smi.protege.util.CacheMap<X,Y>

All Implemented Interfaces:
  Serializable, Cloneable, Map<X,Y>

Deprecated. use the transaction cache utilities.

    @Deprecated
    public class CacheMap<X,Y>

extends HashMap<X,Y>

Author:
  Ray Fergerson Description of this class
See Also:
  Serialized Form

Field Summary
`static int` | `DEFAULT_CACHE_MAP_SIZE` Deprecated.
`static String` | `DEFAULT_CACHE_MAP_SIZE_PROPERTY` Deprecated.

Constructor Summary
`CacheMap()` Deprecated.
`CacheMap(int maxSize)` Deprecated.

Method Summary
`Y` | `put(X key, Y value)` Deprecated.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### DEFAULT_CACHE_MAP_SIZE_PROPERTY

    public static final String DEFAULT_CACHE_MAP_SIZE_PROPERTY

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULT_CACHE_MAP_SIZE

    public static final int DEFAULT_CACHE_MAP_SIZE

  Deprecated.

Constructor Detail

### CacheMap

    public CacheMap(int maxSize)

  Deprecated.

### CacheMap

    public CacheMap()

  Deprecated.

Method Detail

### put

    public Y put(X key,
                 Y value)

  Deprecated.
  Specified by:
    `put` in interface `Map<X,Y>`
  Overrides:
    `put` in class `HashMap<X,Y>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.